Firebird News

Thursday, October 15, 2009

#qt 4.6 beta ppa for #ubuntu #karmic , soon I will upload #arora soon

Use it at your own risk https://edge.launchpad.net/~mapopa/+archive/qt4.6

I used the qt preview tp1 and sometimes it crashed so needed the new beta ,
I  tested it on my kde desktop + I will upload arora recompiled with 4.6 version soon

The arora from karmic should work ok with 4.6 too but maybe a
recompile is needed
before you upgrade is better to save your list of pachages

dpkg --get-selections > installed-software.log

then you can reinstall qt/kde packages from console if you have problems with (revert to qt 4.5.3 if you want)
with

sudo dpkg --set-selections < installed-software.log
sudo dselect

and press I to install all the packages saved

On my sistem i had before qt tp1 packages and in deb name i had "tp1" > "beta1" if you think as a
package manager so i had to remove all qt packages and kde too and
reinstall them

sudo apt-get purge libqtcore4

Then i did the steps from above

7 comments:

xeros said...

Yours arora stable repo for karmic has bug in phonon packaging (or maybe other packages too) - phonon in karmic repos is version 4.3.1 but in yours ppa it's 4.5.3 (libqt4-phonon in original repos and yours pppa is properly identified as 4.5.3) and yours ppa broke my home kubuntu upgrade from 9.04 to 9.10 at friday. Today I've found it's yours ppa and recovered the problem but it might be helpfull to other people using yours ppa to fix it as soon as possible.

Upgrading (fully upgraded karmic) using yours ppa looks like:
---------------------------------
# LC_ALL=C apt-get upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages have been kept back:
libqt4-assistant libqt4-dbus libqt4-designer libqt4-help libqt4-network libqt4-opengl libqt4-qt3support libqt4-script libqt4-scripttools libqt4-sql
libqt4-sql-mysql libqt4-sql-sqlite libqt4-svg libqt4-test libqt4-webkit libqt4-xml libqt4-xmlpatterns libqtcore4 libqtgui4
0 upgraded, 0 newly installed, 0 to remove and 19 not upgraded.
---------------------------------
Btw. thanks for providing new Arora builds - I really like to use new versions of this great browser.

xeros said...

And apt-get dist-upgrade wants to remove whole KDE:
---------------------------------
# LC_ALL=C apt-get dist-upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages will be REMOVED:
adept akonadi-kde akregator amarok amor apport-kde apport-qt apturl-kde ark bomber bovo cervisia cvsservice digikam dolphin dragonplayer gdebi-kde
guidance-power-manager gwenview install-package jockey-kde juk k3b k9copy kaddressbook kadu kadu-external-modules kaffeine kaffeine-gstreamer kalarm kalgebra
kalzium kamera kanagram kanyremote kapman kappfinder kapptemplate karbon-kde4 kate katomic kbattleship kblackbox kblocks kbounce kbreakout kbruch kbugbuster
kcachegrind kcalc kcharselect kchart-kde4 kcm-gtk kcolorchooser kcron kde-full kde-minimal kde-printer-applet kde-style-qtcurve kde-window-manager
kde-zeroconf kdeaccessibility kdeadmin kdeartwork kdeartwork-style kdebase kdebase-bin kdebase-plasma kdebase-runtime kdebase-runtime-bin-kde4
kdebase-workspace kdebase-workspace-bin kdebase-workspace-kgreet-plugins kdebase-workspace-libs4+5 kdebluetooth kdeedu kdegames kdegraphics
kdegraphics-strigi-plugins kdelibs-bin kdelibs5 kdelirc kdemultimedia kdemultimedia-kio-plugins kdenetwork kdenetwork-filesharing kdepasswd kdepim
kdepim-groupware kdepim-kresources kdepim-runtime kdepim-runtime-libs4 kdepim-strigi-plugins kdepim-wizards kdepimlibs5 kdeplasma-addons kdesdk
kdesdk-kio-plugins kdesdk-misc kdesdk-strigi-plugins kdessh kdesudo kdetoys kdeutils kdewebdev kdf kdiamond kdm kfilereplace kfind kfloppy kfourinline kgamma
kgeography kget kgoldrunner kgpg khangman khelpcenter4 kig killbots kimagemapeditor kipi-plugins kiriki kjots kjumpingcube klettres klines klinkstatus
klipper kmag kmahjongg kmail kmines kmix kmousetool kmouth kmplayer kmplayer-base kmplot knetwalk knode knotes koffice-kde4 koffice-libs-kde4 kolf kollision
kolourpaint4 kommander kompare konq-plugins konqueror konqueror-nsplugins konqueror-plugin-searchbar konqueror-plugins konquest konsole konsolekalendar
kontact konversation kopete korganizer kpackagekit kpartloader kpat kplato-kde4 kppp kpresenter-kde4 krdc kreversi krfb krita-kde4 kruler ksame kscd
kscreensaver kscreensaver-xsavers kshisen ksirk ksnapshot kspaceduel kspread-kde4 ksquares kstars ksudoku ksysguard ksystemlog kteatime kthesaurus-kde4
ktimer ktimetracker ktorrent ktouch ktron ktuberling kturtle ktux kubrick kubuntu-desktop kubuntu-firefox-installer kubuntu-konqueror-shortcuts kuiviewer
...

xeros said...

...
kuser kvkbd kwalletmanager kweather kwin kwin-style-qtcurve kword-kde4 kwordquiz kwrite kxsldbg language-selector-qt libk3b6 libkabcommon4 libkcddb4
libkdcraw7 libkdecorations4 libkdeedu4 libkdegames5 libkdepim4 libkexiv2-7 libkipi6 libkleo4 libknotificationitem1 libkonq5 libkonqsidebarplugin4
libkontactinterfaces4 libkopete4 libkorundum4-ruby1.8 libkpgp4 libkrosspython0 libksane0 libksieve4 libkwineffects1 liblancelot0 libmarble4 libmimelib4
libokularcore1 libplasma3 libqt4-phonon libsmokekde4-2 lokalize lskat marble mythgallery mythgame mythmusic mythtv mythtv-backend mythtv-frontend mythvideo
mythweather okteta okular okular-extra-backends openoffice.org-kde opensync-plugin-kdepim parley partitionmanager phonon-backend-xine
plasma-dataengines-addons plasma-dataengines-workspace plasma-runners-addons plasma-scriptengine-javascript plasma-scriptengine-python
plasma-scriptengine-qedje plasma-scriptengine-ruby plasma-scriptengine-superkaramba plasma-scriptengine-webkit plasma-scriptengines plasma-wallpapers-addons
plasma-widget-cpuload plasma-widget-facebook plasma-widget-folderview plasma-widget-googlecalendar plasma-widget-indicatordisplay plasma-widget-kimpanel
plasma-widget-kubuntu-qa-feedback plasma-widget-lancelot plasma-widget-network-manager plasma-widget-networkmanagement plasma-widget-quickaccess
plasma-widgets-addons plasma-widgets-workspace printer-applet python-kde4 python-kde4-dev quassel showfoto smb4k software-properties-kde step superkaramba
sweeper system-config-printer-kde systemsettings ubiquity-frontend-kde umbrello update-manager-kde update-notifier-kde usb-creator-kde userconfig yakuake
The following NEW packages will be installed:
libphonon4 qt4-qtconfig
The following packages will be upgraded:
libqt4-assistant libqt4-dbus libqt4-designer libqt4-help libqt4-network libqt4-opengl libqt4-qt3support libqt4-script libqt4-scripttools libqt4-sql
libqt4-sql-mysql libqt4-sql-sqlite libqt4-svg libqt4-test libqt4-webkit libqt4-xml libqt4-xmlpatterns libqtcore4 libqtgui4
19 upgraded, 2 newly installed, 304 to remove and 0 not upgraded.
Need to get 19.7MB of archives.
After this operation, 597MB disk space will be freed.
Do you want to continue [Y/n]? n
Abort.

mariuz said...

yes i found the issue i now recompile the package see the logs
seems that in debian we have libqtphonon4
and in ubuntu is called libqt4-phonon

so i had to replace that name in the rules file and reuploaded , i will reupload for 4.5.3 too

mariuz said...

4.6 is reuploaded into ppa with phonon rename and soon 4.5.3 stable

xeros said...

Thanks for the fix (I haven't tested it yet).
Is it safe to upgrade QT to 4.6.0 in Karmic? Or there could be both QT 4.6.0 and 4.5.3 packages in the system?

mariuz said...

you can use only one and you can compile the other one in another directory like /usr/local
and start arora with that in path see the arora docs